Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# LinearVectorForce Class Reference

Simple directed vector force. More...

Inheritance diagram for LinearVectorForce:

List of all members.

## Public Member Functions
| LinearVectorForce (Vec3 const vec, float a, bool mass)
| Vector Constructor.
| LinearVectorForce (Vec3 const vec, float a)
| Vector Constructor.
| LinearVectorForce (LinearVectorForce const copy)
| Copy Constructor.
| LinearVectorForce (float x, float y)
| Default/Piecewise constructor.
| LinearVectorForce ()
| Default/Piecewise constructor.
| LinearVectorForce (float x)
| Default/Piecewise constructor.
| LinearVectorForce (float x, float y, float z, float a, bool mass)
| Default/Piecewise constructor.
| LinearVectorForce (float x, float y, float z)
| Default/Piecewise constructor.
| LinearVectorForce (float x, float y, float z, float a)
| Default/Piecewise constructor.
| LinearVectorForce (Vec3 const vec)
| Vector Constructor.
Vec3 | getLocalVector ()
| setVector (float x, float y, float z)
| piecewise encapsulating wrapper
| setVector (Vec3 const v)
| encapsulating wrapper
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

Simple directed vector force.

Suitable for gravity, non-turbulent wind, etc...

## Constructor & Destructor Documentation

LinearVectorForce | ( | Vec3 const | vec,
|  | float | a,
|  | bool | mass
| ) |  |

Vector Constructor.

LinearVectorForce | ( | Vec3 const | vec,
|  | float | a
| ) |  |

Vector Constructor.

LinearVectorForce | ( | Vec3 const | vec | ) |

Vector Constructor.

LinearVectorForce | ( | LinearVectorForce const | copy | ) |

Copy Constructor.

LinearVectorForce | ( | float | x,
|  | float | y,
|  | float | z,
|  | float | a,
|  | bool | mass
| ) |  |

Default/Piecewise constructor.

LinearVectorForce | ( | float | x,
|  | float | y,
|  | float | z,
|  | float | a
| ) |  |

Default/Piecewise constructor.

LinearVectorForce | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

Default/Piecewise constructor.

LinearVectorForce | ( | float | x,
|  | float | y
| ) |  |

Default/Piecewise constructor.

LinearVectorForce | ( | float | x | ) |

Default/Piecewise constructor.

LinearVectorForce | ( |  | ) |

Default/Piecewise constructor.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from LinearForce.

Vec3 getLocalVector | ( |  | ) |

setVector | ( | Vec3 const | v | ) |

encapsulating wrapper

setVector | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

piecewise encapsulating wrapper

All Classes Namespaces Functions Variables Enumerations Enumerator Properties